Page MenuHomePhabricator

PowerPC: Don't lower SELECT_CC to PPCISD::FSEL on SPE
ClosedPublic

Authored by jhibbits on Apr 8 2020, 8:39 PM.

Details

Reviewers
lkail
Group Reviewers
Restricted Project
Commits
rG7e9153e940e2: PowerPC: Don't lower SELECT_CC to PPCISD::FSEL on SPE
Summary

SPE doesn't have a fsel instruction, so don't try to lower to it.

This fixes a "Cannot select: tN: f64 = PPCISD::FSEL tX, tY, tZ" error.

Diff Detail

Event Timeline

jhibbits created this revision.Apr 8 2020, 8:39 PM
Herald added a project: Restricted Project. · View Herald TranscriptApr 8 2020, 8:39 PM
lkail accepted this revision.Apr 27 2020, 11:09 PM
lkail added a subscriber: lkail.

LGTM. Please hold on a couple of days in case others have comments.

llvm/lib/Target/PowerPC/PPCISelLowering.cpp
7803

nit: Move this line to the above(clang-format might comment in a wrong line :o).

llvm/test/CodeGen/PowerPC/spe-fastmath.ll
4

nit: 2-space indentation against last line should be enough.

This revision is now accepted and ready to land.Apr 27 2020, 11:09 PM
This revision was landed with ongoing or failed builds.Jul 31 2020, 9:04 PM
This revision was automatically updated to reflect the committed changes.